NotaryLive API - Esign Status

Getting eSign Status

You may need to check the status of an eSign order to see if it has been completed, or get the finalized documents. Depending on the way you integrated with NotaryLive, you may provide your own eSign order ID or use the NotaryLive eSign ID to get the eSign status.

Below is an example of how to get the status of an eSign using your eSign ID:

curl -X GET "https://notarylive.com/api/v1/esign/status" \
    -H 'Content-Type: application/json' \
    -u 'api_test_user:api_test_key' \
    -d $'{"esign_id":"((internal_order_id))"}'

Below is an example of how to get the status of an eSign using the NotaryLive eSign ID:

curl -X GET "https://notarylive.com/api/v1/esign/status" \
    -H 'Content-Type: application/json' \
    -u 'api_test_user:api_test_key' \
    -d $'{"nl_esign_id":"((nl_esign_id))"}'

A successful request will generate the following response:

{
  "success": 1,
  "status": "complete",
  "document_urls": [
    "https://notarylive.com/esign/file/..."
  ]
}

Status Definitions

The following are the possible status definitions for an eSign order:

Status Description
envelope_created The eSign order has been created.
in_progress The eSign has been partially completed. Some, but not all, participants have eSigned.
complete The eSign has been fully completed. | Response will include document_urls with the URLs to the eSigned documents.
canceled The eSign order has been canceled.

Validation Failures

Invalid credentials will return a 401 response with the message: HTTP/1.0 401 Unauthorized

Invalid or missing payload data will return a 400 HTTP response with a JSON body containing success = 0 as well as an array of errors containing both a standardized error code, as well as a human-readable description of what caused the error:

If you continue having issues, please take a look at our troubleshooting guide.

curl -X GET "https://notarylive.com/api/v1/esign/status" \
    -H 'Content-Type: application/json' \
    -u 'api_test_user:api_test_key' \
    -d $'{}'
{
  "success": 0,
  "errors": [
    {
      "code": "no_identifier_submitted",
      "message": "This endpoint requires either a nl_esign_id or an esign_id parameter to identify the order"
    }
  ]
}


Copyright © 2026, NotaryLive.com